// {
//     "parser": "@typescript-eslint/parser",
//     "plugins": ["import", "@typescript-eslint", "prettier"],
//     "extends": [
//         "airbnb-base",
//         "plugin:import/errors",
//         "plugin:import/warnings",
//         "plugin:@typescript-eslint/recommended",
//         "plugin:prettier/recommended",
//         "eslint:recommended",
//     ],
//     "parserOptions": {
//         "ecmaVersion": 6,
//         "sourceType": "module"
//     },
//     "env": {
//         "browser": true,
//         "node": true
//     },
//     "ignorePatterns": ["node_modules/", "tsconfig.json"],
//     "rules": {
//
//     },
//     "settings": {
//         "import/resolver": {
//             "node": {
//                 "extensions": [".js", ".jsx", ".ts", ".tsx"]
//             }
//         }
//     }
// }

// import eslint from '@eslint/js';
// import tseslint from 'typescript-eslint';
//
// export default tseslint.config(
//   eslint.configs.recommended,
//   ...tseslint.configs.recommended,
// );

/* eslint-env node */
module.exports = {
  extends: [
    'eslint:recommended',
    'plugin:@typescript-eslint/recommended-type-checked',
  ],
  plugins: ['@typescript-eslint'],
  parser: '@typescript-eslint/parser',
  parserOptions: {
    project: true,
    tsconfigRootDir: __dirname,
  },
  root: true,
    rules: {
       "@typescript-eslint/no-explicit-any": "off"
    }
};
